cURL
curl -X GET \
/invoices/{invoiceId}/billing-run \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/invoices/{invoiceId}/billing-run"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/invoices/{invoiceId}/billing-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/invoices/{invoiceId}/billing-run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"dateRangeFrom": "2023-11-07T05:31:56Z",
"invoice": "https://example.com/",
"subscriptions": [
{
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"externalId": "<string>",
"number": "S-00000001",
"name": "Fitness M",
"billingGroup": {},
"periods": [
{
"id": "<string>",
"contractPeriodCount": 123,
"contractPeriod": {},
"cancellationPeriod": {}
}
],
"status": "active",
"activatedAt": "2021-01-01T00:00:00+00:00",
"poNumber": "PO-00000001",
"contractDetails": {
"contractStart": "2023-11-07T05:31:56Z",
"contractEnd": "2023-11-07T05:31:56Z"
},
"trialEndsOn": "2021-01-01T00:00:00+00:00",
"customFields": {
"field1": "value1",
"field2": "value2"
},
"nextBillingDate": "2023-11-07T05:31:56Z",
"lastBillingAt": "2023-11-07T05:31:56Z",
"partner": {
"id": "ad8f7e7d-3b3b-4b3b-8b3b-3b3b3b3b3b3b",
"name": "John Doe",
"number": "123456",
"email": "partner@example.com"
}
}
],
"subscriptionItems": [
{
"id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
"name": "Fitness M",
"description": "Everything included",
"furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
"status": "active",
"subscriptionId": "<string>"
}
],
"billedAt": "2023-11-07T05:31:56Z",
"dateRangeTo": "2023-11-07T05:31:56Z",
"usageBreakdownUrl": "<string>"
}Billing Run
Get billing run details for an invoice
Get all billing run details which created the invoice. This includes all subscriptions, subscription items and the date range which was billed.
Required permissions:invoice:readGET
/
invoices
/
{invoiceId}
/
billing-run
cURL
curl -X GET \
/invoices/{invoiceId}/billing-run \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/invoices/{invoiceId}/billing-run"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/invoices/{invoiceId}/billing-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/invoices/{invoiceId}/billing-run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"dateRangeFrom": "2023-11-07T05:31:56Z",
"invoice": "https://example.com/",
"subscriptions": [
{
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"externalId": "<string>",
"number": "S-00000001",
"name": "Fitness M",
"billingGroup": {},
"periods": [
{
"id": "<string>",
"contractPeriodCount": 123,
"contractPeriod": {},
"cancellationPeriod": {}
}
],
"status": "active",
"activatedAt": "2021-01-01T00:00:00+00:00",
"poNumber": "PO-00000001",
"contractDetails": {
"contractStart": "2023-11-07T05:31:56Z",
"contractEnd": "2023-11-07T05:31:56Z"
},
"trialEndsOn": "2021-01-01T00:00:00+00:00",
"customFields": {
"field1": "value1",
"field2": "value2"
},
"nextBillingDate": "2023-11-07T05:31:56Z",
"lastBillingAt": "2023-11-07T05:31:56Z",
"partner": {
"id": "ad8f7e7d-3b3b-4b3b-8b3b-3b3b3b3b3b3b",
"name": "John Doe",
"number": "123456",
"email": "partner@example.com"
}
}
],
"subscriptionItems": [
{
"id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
"name": "Fitness M",
"description": "Everything included",
"furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
"status": "active",
"subscriptionId": "<string>"
}
],
"billedAt": "2023-11-07T05:31:56Z",
"dateRangeTo": "2023-11-07T05:31:56Z",
"usageBreakdownUrl": "<string>"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
BillingRun identifier
Antwort
BillingRun resource
Beispiel:
"https://example.com/"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The date range to which the billing run was created.
Public url to view the detailed usage breakdown of this billing run.
War diese Seite hilfreich?
⌘I